\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Triangulation

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
List of all members | Public Member Functions
CGAL::Constrained_triangulation_plus_2< Tr >::Context Class Reference

`#include <CGAL/Constrained_triangulation_plus_2.h>`

## Definition

A context enables the access to the vertices of a constraint that pass through a subconstraint.

## Public Member Functions
Constraint_id | id () const
| returns the constraint id.
Vertices_in_constraint_iterator | vertices_begin () const
| returns the first vertex of the enclosing constraint.
Vertices_in_constraint_iterator | vertices_end () const
| returns the past-the-end of the vertices of the enclosing constraint.
Vertices_in_constraint_iterator | current () const
| returns the iterator `vici` of the enclosing constraint for which `*vici` and `*std::next(vici)` correspond to the two vertices of the subconstraint.